Subject: bug#47821: closed (Re: [bug#47821] [PATCH] Update htslib, bcftools, samtools, bedtools)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Apr 2021 10:22:02 +0000

Your bug report

#47821: [PATCH] Update htslib, bcftools, samtools, bedtools

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47821: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47821
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47821] [PATCH] Update htslib, bcftools, samtools, bedtools
From: Roel Janssen <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Apr 2021 12:21:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 4/29/21 8:43 AM, Efraim Flashner wrote:
> On Wed, Apr 28, 2021 at 04:05:09PM +0200, Roel Janssen wrote:
>> On Tue, 2021-04-27 at 10:32 +0300, Efraim Flashner wrote:
>>> On Fri, Apr 16, 2021 at 11:55:39AM +0200, Roel Janssen wrote:
>>>> Hi Guix,
>>>>
>>>> The following patches update htslib, bcftools, samtools, and
>>>> bedtools.
>>>> I've succesfully built bedtools with the latest samtools instead of
>>>> the
>>>> 1.9 version.
>>> These look good and are ready for merging. Can you take a look at
>>> python-pybedtools? There's a new version out which I hope builds with
>>> the newer version of bedtools.
>>>
>>> Thanks.
>>>
>> I looked at python-pybedtools and came up with the following patch.
>> The test phase is still not entirely happy because it ends with:
>>
>> ---
>> ================ 497 passed, 3 xfailed, 426 warnings in 25.49s
>> =================
>> Error in atexit._run_exitfuncs:
>> Traceback (most recent call last):
>>    File "/gnu/store/rz42ba0my9vrgbkjpkzr2drmnjk5ah50-python-
>> 3.8.2/lib/python3.8/shutil.py", line 704, in rmtree
>>      orig_st = os.lstat(path)
>> ---
>>
>> I attached the patch that I have that at least builds the newer version
>> of python-pybedtools.  I don't know how to further test it.
>>
>> Can I in the meantime already push the patches for updating htslib,
>> bcftools, samtools and bedtools?
>>
> Yeah, those patches LGTM.
Thanks. I pushed these.

For python-pybedtools, I think a little bit more testing is required.  I 
can take a look at it in the second week of May, so hopefully someone 
beats me to it. :)

Kind regards,
Roel Janssen

Subject: [PATCH] Update htslib, bcftools, samtools, bedtools
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2021 11:55:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

The following patches update htslib, bcftools, samtools, and bedtools.
I've succesfully built bedtools with the latest samtools instead of the
1.9 version.

Kind regards,
Roel Janssen

From 4549f622042cb8c04165d85ff922d129f7c10553 Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Fri, 16 Apr 2021 11:52:16 +0200
Subject: [PATCH 4/4] gnu: Update bedtools to 2.30.0.

* gnu/packages/bioinformatics.scm (bedtools): Update to 2.30.0,
  [inputs]: Use latest samtools.
---
 gnu/packages/bioinformatics.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 2a20971089..94bf917df5 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -453,7 +453,7 @@ computational cluster.")
 (define-public bedtools
   (package
     (name "bedtools")
-    (version "2.29.2")
+    (version "2.30.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://github.com/arq5x/bedtools2/releases/"
@@ -461,7 +461,7 @@ computational cluster.")
                                   "bedtools-" version ".tar.gz"))
               (sha256
                (base32
-                "0m3hk6548846w83a9s5drsczvy67n2azx41kj71n03klb2gbzwg3"))))
+                "1f2hh79l7dn147c2xyfgf5wfjvlqfw32kjfnnh2n1qy6rpzx2fik"))))
     (build-system gnu-build-system)
     (arguments
      '(#:test-target "test"
@@ -473,7 +473,7 @@ computational cluster.")
     (native-inputs
      `(("python" ,python-wrapper)))
     (inputs
-     `(("samtools" ,samtools-1.9)
+     `(("samtools" ,samtools)
        ("zlib" ,zlib)))
     (home-page "https://github.com/arq5x/bedtools2")
     (synopsis "Tools for genome analysis and arithmetic")
-- 
2.30.2

From 6a18bd05cdd181b19ab99f92f1ef87f1554c622d Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Fri, 16 Apr 2021 11:51:41 +0200
Subject: [PATCH 3/4] gnu: Update samtools to 1.12.

* gnu/packages/bioinformatics.scm (samtools): Update to 1.12.
---
 gnu/packages/bioinformatics.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index a7cffdf83c..2a20971089 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -5901,7 +5901,7 @@ to the user's query of interest.")
 (define-public samtools
   (package
     (name "samtools")
-    (version "1.11")
+    (version "1.12")
     (source
      (origin
        (method url-fetch)
@@ -5910,11 +5910,11 @@ to the user's query of interest.")
                        version "/samtools-" version ".tar.bz2"))
        (sha256
         (base32
-         "1dp5wknak4arnw5ghhif9mmljlfnw5bgm91wib7z0j8wdjywx0z2"))
+         "1jrdj2idpma5ja9cg0rr73b565vdbr9wyy6zig54bidicc2pg8vd"))
        (modules '((guix build utils)))
        (snippet '(begin
                    ;; Delete bundled htslib.
-                   (delete-file-recursively "htslib-1.11")
+                   (delete-file-recursively "htslib-1.12")
                    #t))))
     (build-system gnu-build-system)
     (arguments
-- 
2.30.2

From f1513d7b43fa14e15d945c92fb9fa2c6451a46b9 Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Fri, 16 Apr 2021 11:50:53 +0200
Subject: [PATCH 2/4] gnu: Update bcftools to 1.12.

* gnu/packages/bioinformatics.scm (bcftools): Update to 1.12.
---
 gnu/packages/bioinformatics.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index e385e07cea..a7cffdf83c 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -327,7 +327,7 @@ BAM files.")
 (define-public bcftools
   (package
     (name "bcftools")
-    (version "1.11")
+    (version "1.12")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://github.com/samtools/bcftools/"
@@ -335,11 +335,11 @@ BAM files.")
                                   version "/bcftools-" version ".tar.bz2"))
               (sha256
                (base32
-                "0r508mp15pqzf8r1269kb4v5naw9zsvbwd3cz8s1yj7carsf9viw"))
+                "1x94l1hy2pi3lbz0sxlbw0g6q5z5apcrhrlcwda94ns9n4r6a3ks"))
               (modules '((guix build utils)))
               (snippet '(begin
                           ;; Delete bundled htslib.
-                          (delete-file-recursively "htslib-1.11")
+                          (delete-file-recursively "htslib-1.12")
                           #t))))
     (build-system gnu-build-system)
     (arguments
-- 
2.30.2

From 45e578976cd0c77e60d2188385adcda51b23b92a Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Fri, 16 Apr 2021 11:49:49 +0200
Subject: [PATCH 1/4] gnu: htslib: Update to 1.12.

* gnu/packages/bioinformatics.scm (htslib): Update to 1.12.
---
 gnu/packages/bioinformatics.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 41ef4cd513..e385e07cea 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -4476,7 +4476,7 @@ performance.")
 (define-public htslib
   (package
     (name "htslib")
-    (version "1.11")
+    (version "1.12")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -4484,7 +4484,7 @@ performance.")
                     version "/htslib-" version ".tar.bz2"))
               (sha256
                (base32
-                "1mrq4mihzx37yqhj3sfz6da6mw49niia808bzsw2gkkgmadxvyng"))))
+                "1jplnvizgr0fyyvvmkfmnsywrrpqhid3760vw15bllz98qdi9012"))))
     (build-system gnu-build-system)
     ;; Let htslib translate "gs://" and "s3://" to regular https links with
     ;; "--enable-gcs" and "--enable-s3". For these options to work, we also
-- 
2.30.2